Subject: [bess] Alia Atlas' Discuss on draft-ietf-bess-evpn-vpws-11: (with DISCUSS and COMMENT)

From: Alia Atlas <[email-masked]>
Date: Tue, 11 Apr 2017 16:43:38 -0700

Alia Atlas has entered the following ballot position for
draft-ietf-bess-evpn-vpws-11: Discuss

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-bess-evpn-vpws/

----------------------------------------------------------------------
DISCUSS:
----------------------------------------------------------------------

First, thank you for a clearly written document that contained enough
context to trigger my hazy
memory of some of the technical details.

My concern is around this paragraph in the Introduction:

"The MPLS label value in the Ethernet A-D route can be set to the
   VXLAN Network Identifier (VNI) for VXLAN encap, and this VNI may
have
   a global scope or local scope per PE and may also be equal to the
   VPWS service instance identifier set in the Ethernet A-D route.
"

First, I recognize that folks have implemented and deployed EVPN with
VXLAN.
That's fine.  There is an ISE RFC 7348 that describes VXLAN.   Depending
on what
you (authors, shepherd, AD, WG) decide to do about the rest of my
concern, it is
likely that this should be normative references - which would be a
downref.

Second, the paragraph here isn't really adequate to describe how to
implement the
functionality.   I don't see how:
    a) The ingress PE decides which VNIs it can send based upon the
VNI=MPLS_label
        from the egress.   Is there an assumption that VXLAN allows
sending all VNIs across
        the particular VPWS, whether port-based, VLAN-based, etc?
    b) Is there an assumption that the egress PE-advertised MPLS label
also indicates the
         VNI to be used?  That seems like another mode, like the
VLAN-based service, except
         it is perhaps VNI + VLAN-based service?

Please don't take this Discuss as a reason to remove the paragraph and
the implied functionality.
If it's implemented and deployed (and I think it is) - then what I really
want is to just have it
adequately written down so that others can interoperably implement.  The
downref to VXLAN
should just be a matter of process nuisance (i.e. another IETF Last Call
and handling any concerns).

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

1) (Nit) Sec 3.1 "This draft" for an RFC should be "This document" or
"This specification" or...

2) Sec 3.1:  "    C      If set to 1, a Control word [RFC4448] MUST be
present when sending EVPN packets to this PE."
   Given discussions with IEEE about real MACs starting with 4 and 6 in
top nibble, adding a statement about it being BCP to include
   the control word (unless using Entropy Label) would be a good idea.

---

From: Sami Boutros <[email-masked]>
Date: Wed, 12 Apr 2017 18:14:07 +0000

Hi Alia,

Please see comments inline.

On 4/11/17, 4:43 PM, "Alia Atlas" <[email-masked]> wrote:

>Please refer to https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_iesg_statement_discuss-2Dcriteria.html&d=DwICaQ&c=uilaK90D4TOVoH58JNXRgQ&r=IVzcTRLQdpta08L0b_y2zDkqvwJhRKMCAbX-2K-LV98&m=78sPNErI-rljSFAaM5b76_QaDSTz2BD_8ny0Dxcf4sM&s=s8oat7vUDx6NHV0vOehUl_fLjsLHsTqmht3xIHoOr2I&e= 
>https://urldefense.proofpoint.com/v2/url?u=https-3A__datatracker.ietf.org_doc_draft-2Dietf-2Dbess-2Devpn-2Dvpws_&d=DwICaQ&c=uilaK90D4TOVoH58JNXRgQ&r=IVzcTRLQdpta08L0b_y2zDkqvwJhRKMCAbX-2K-LV98&m=78sPNErI-rljSFAaM5b76_QaDSTz2BD_8ny0Dxcf4sM&s=MlJKXisQTr1aheS8hahty-iFDOCS_GhM37X2lMUAH54&e= 
>
>
>

I can add the 7348 as a normative reference.

>        the particular VPWS, whether port-based, VLAN-based, etc?

We are signaling Ethernet A-D route per VPWS instance, and in there we will signal 
VNI instead of an MPLS label for VxLAN encap.

>         VNI to be used?  

EVPN can work with different encapsulations a BGP Tunnel Encapsulation Attribute 
That specifies the tunnel type will be added to the Ethernet A-D route.

>That seems like another mode, like the

The draft lists clearly the different service interface types, and there will 
be only one VNI per VPWS instance wether this is Vlan or port based.

>and handling any concerns).

Should I add the 7348 as a normative reference?

Will fix.
>   the control word (unless using Entropy Label) would be a good idea.
Could you suggest some text? 

Should I submit -12 with the changes?

Thanks,

Sami

---

From: "Alvaro Retana (aretana)" <[email-masked]>
Date: Wed, 12 Apr 2017 19:48:49 +0000

Sami:

Hi!

Let’s go ahead and add the text to explain the operation with VXLAN – I think that the reference to rfc7348 should be Normative.

I’ll take care of dealing with the downref when we’re ready with the new text.

Thanks!

Alvaro.

On 4/12/17, 2:14 PM, "Sami Boutros" <[email-masked]> wrote:

Hi Alia,

Will fix.

Thanks,

Sami

---

From: John E Drake <[email-masked]>
Date: Wed, 12 Apr 2017 20:19:57 +0000

Sami,

I don't think we want to use a global VNI because if we do we will be limited to one circuit per global VNI due to the fact that we demux traffic strictly using the label value and not the MAC address.

Yours Irrespectively,

John

> -----Original Message-----
> From: Alvaro Retana (aretana) [mailto:[email-masked]]
> Sent: Wednesday, April 12, 2017 3:49 PM
> To: Sami Boutros <[email-masked]>; Alia Atlas <[email-masked]>;
> The IESG <[email-masked]>
> Cc: [email-masked]; Jeffrey (Zhaohui) Zhang
> <[email-masked]>; [email-masked]; [email-masked]
> Subject: Re: Alia Atlas' Discuss on draft-ietf-bess-evpn-vpws-11: (with DISCUSS
> and COMMENT)
> 
> Sami:
> 
> Hi!
> 
> Let’s go ahead and add the text to explain the operation with VXLAN – I think
> that the reference to rfc7348 should be Normative.
> 
> >Please refer to
> >https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_iesg_
> >statement_discuss-
> 2Dcriteria.html&d=DwICaQ&c=uilaK90D4TOVoH58JNXRgQ&r=I
> >VzcTRLQdpta08L0b_y2zDkqvwJhRKMCAbX-2K-LV98&m=78sPNErI-
> rljSFAaM5b76_QaDS
> >Tz2BD_8ny0Dxcf4sM&s=s8oat7vUDx6NHV0vOehUl_fLjsLHsTqmht3xIHoOr2I&e
> =
> >https://urldefense.proofpoint.com/v2/url?u=https-3A__datatracker.ietf.o
> >rg_doc_draft-2Dietf-2Dbess-2Devpn-
> 2Dvpws_&d=DwICaQ&c=uilaK90D4TOVoH58JN
> >XRgQ&r=IVzcTRLQdpta08L0b_y2zDkqvwJhRKMCAbX-2K-LV98&m=78sPNErI-
> rljSFAaM5
> >b76_QaDSTz2BD_8ny0Dxcf4sM&s=MlJKXisQTr1aheS8hahty-
> iFDOCS_GhM37X2lMUAH54
> >&e=
> >
> >
> >
> >context to trigger my hazy memory of some of the technical details.
> >
> >concern, it is likely that this should be normative references - which
> >would be a downref.
> 
> We are signaling Ethernet A-D route per VPWS instance, and in there we will
> signal VNI instead of an MPLS label for VxLAN encap.
> 
> EVPN can work with different encapsulations a BGP Tunnel Encapsulation
> Attribute That specifies the tunnel type will be added to the Ethernet A-D route.
> 
>

---

From: "Ali Sajassi (sajassi)" <[email-masked]>
Date: Wed, 12 Apr 2017 20:37:40 +0000

Hi John,
Still that gives us 16 millions P2P EVCs.

Cheers,
Ali

Sent from my Verizon, Samsung Galaxy smartphone

-------- Original message --------
From: John E Drake <[email-masked]>
Date: 4/12/17 1:20 PM (GMT-08:00)
To: "Alvaro Retana (aretana)" <[email-masked]>, Sami Boutros <[email-masked]>, Alia Atlas <[email-masked]>, The IESG <[email-masked]>
Cc: [email-masked], "Jeffrey (Zhaohui) Zhang" <[email-masked]>, [email-masked], [email-masked]
Subject: RE: Alia Atlas' Discuss on draft-ietf-bess-evpn-vpws-11: (with DISCUSS and COMMENT)

Sami,

Yours Irrespectively,

John

---

From: John E Drake <[email-masked]>
Date: Wed, 12 Apr 2017 21:00:00 +0000

Ali,

That's correct, however ensuring global uniqueness when it is completely unnecessary seems like an imposition on the network administrators.

Yours Irrespectively,

John

From: Ali Sajassi (sajassi) [mailto:[email-masked]]
Sent: Wednesday, April 12, 2017 4:38 PM
To: John E Drake <[email-masked]>; Alvaro Retana (aretana) <[email-masked]>; Sami Boutros <[email-masked]>; Alia Atlas <[email-masked]>; The IESG <[email-masked]>
Cc: [email-masked]; Jeffrey (Zhaohui) Zhang <[email-masked]>; [email-masked]; [email-masked]
Subject: RE: Alia Atlas' Discuss on draft-ietf-bess-evpn-vpws-11: (with DISCUSS and COMMENT)

Hi John,

Cheers,
Ali

-------- Original message --------
From: John E Drake <[email-masked]<mailto:[email-masked]>>
Date: 4/12/17 1:20 PM (GMT-08:00)
To: "Alvaro Retana (aretana)" <[email-masked]<mailto:[email-masked]>>, Sami Boutros <[email-masked]<mailto:[email-masked]>>, Alia Atlas <[email-masked]<mailto:[email-masked]>>, The IESG <[email-masked]<mailto:[email-masked]>>
Cc: [email-masked]<mailto:[email-masked]>, "Jeffrey (Zhaohui) Zhang" <[email-masked]<mailto:[email-masked]>>, [email-masked]<mailto:[email-masked]>, [email-masked]<mailto:[email-masked]>
Subject: RE: Alia Atlas' Discuss on draft-ietf-bess-evpn-vpws-11: (with DISCUSS and COMMENT)
Sami,

Yours Irrespectively,

John

> To: Sami Boutros <[email-masked]<mailto:[email-masked]>>; Alia Atlas <[email-masked]<mailto:[email-masked]>>;
> The IESG <[email-masked]<mailto:[email-masked]>>
> Cc: [email-masked]<mailto:[email-masked]>; Jeffrey (Zhaohui) Zhang
> <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
> Let's go ahead and add the text to explain the operation with VXLAN - I think
> I'll take care of dealing with the downref when we're ready with the new text.
>
> Thanks!
>
> Alvaro.
>
>
>
>
>
>
> On 4/12/17, 2:14 PM, "Sami Boutros" <[email-masked]<mailto:[email-masked]>> wrote:
>
> Hi Alia,
>
> On 4/11/17, 4:43 PM, "Alia Atlas" <[email-masked]<mailto:[email-masked]>> wrote:
>

---

From: Sami Boutros <[email-masked]>
Date: Wed, 12 Apr 2017 22:54:04 +0000

Hi,

Here is the text updated, please let me know if this looks good.

"The MPLS label value in the Ethernet A-D route can be set to the VXLAN Network Identifier (VNI) for VXLAN encap as per [RFC7348], and this VNI will have a local scope per PE and may also be equal to the VPWS service instance identifier set in the Ethernet A-D route.”

Will add a Normative reference to RFC7348.

I can add as well the following:

"When using VXLAN encap, the BGP Encapsulation extended community defined in [draft-ietf-idr-tunnel-encaps] and [RFC5512] is included in the Ethernet A-D route."

And add  a Normative reference to [RFC5512] and Informative to the tunnel-encaps.

Thanks,

Sami